Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163853 - system-config-bind crash on startup
Summary: system-config-bind crash on startup
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-bind
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ondrej Dvoracek
QA Contact:
URL:
Whiteboard: RHEL4U3NAK
Depends On: 150910
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-21 16:25 UTC by Jason Vas Dias
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-14 16:28:06 UTC


Attachments (Terms of Use)

Description Jason Vas Dias 2005-07-21 16:25:20 UTC
+++ This bug was initially created as a clone of Bug #150910 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20050104 Red Hat/1.4.3-3.0.7

Description of problem:
redhat-config-bind crashes on startup.  When run from the command line:

server# redhat-config-bind
Traceback (most recent call last):
  File "/usr/sbin/redhat-config-bind", line 95, in ?
    cfg = ConfNamed.ConfNamed("/etc/named.conf",ROOTDIR)
  File "/usr/share/redhat-config-bind/ConfNamed.py", line 324, in __init__
    current[-1].setOpt(val[0],join(val[1:],' '))
IndexError: list index out of range


Version-Release number of selected component (if applicable):
redhat-config-bind-2.0.0-14.2

How reproducible:
Always

Steps to Reproduce:
1. Launch redhat-config-bind
2.
3.
    

Actual Results:  Crashes with the above errors.

Expected Results:  Should not crash.

Additional info:

Comment 1 Jason Vas Dias 2005-07-21 21:03:36 UTC
Fixed for bug 150910 with system-config-bind-4.0.0-16_EL4

Comment 13 Radek Bíba 2007-08-14 16:28:06 UTC
There's no system-config-bind in RHEL 4, this bug report is invalid, closing...


Note You need to log in before you can comment on or make changes to this bug.